Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAjaxLog

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAjaxLog
                  org.richfaces.component.UIAjaxLog

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.0.0-SNAPSHOT"})
    public class UIAjaxLog

extends AbstractAjaxLog

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIAjaxLog.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`UIAjaxLog()`

Method Summary
`String` | `getFamily()`
`String` | `getLevel()`
`LogMode` | `getMode()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`void` | `setLevel(String level)`
`void` | `setMode(LogMode mode)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAjaxLog

    public UIAjaxLog()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getLevel

    public String getLevel()

  Specified by:
    `getLevel` in class `AbstractAjaxLog`

### setLevel

    public void setLevel(String level)

### getMode

    public LogMode getMode()

  Specified by:
    `getMode` in class `AbstractAjaxLog`

### setMode

    public void setMode(LogMode mode)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractAjaxLog`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractAjaxLog`

### setStyleClass

    public void setStyleClass(String styleClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.